Bug 540861 - bacula doesn't install "applybaculadate" logwatch script, breaks logwatch
bacula doesn't install "applybaculadate" logwatch script, breaks logwatch
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bacula (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-24 06:48 EST by Paul Howarth
Modified: 2009-12-17 23:18 EST (History)
4 users (show)

See Also:
Fixed In Version: 3.0.3-5.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-17 23:18:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2009-11-24 06:48:31 EST
Description of problem:
bacula-director-common includes a logwatch script that references a script "applybaculadate" but does not include that script (though upstream include it).

Version-Release number of selected component (if applicable):
3.0.2-4.fc12

How reproducible:
Every time.

Steps to Reproduce:
1. yum install bacula-director-common
2. logwatch
  
Actual results:
Error message "Cannot find shared script applybaculadate".
Also, a blank email that should have been the logwatch report for the host every morning, and another email with the above error message.

Expected results:
Email containing logwatch report.

Additional info:
This can be fixed by adding the following line to the logwatch section of %install in the spec:

install -m 644 -D bacula-sqlite/scripts/logwatch/applybaculadate %{buildroot}%{_datadir}/logwatch/scripts/shared/applybaculadate

and adding %{_datadir}/logwatch/scripts/shared/applybaculadate to the %files list for director-common


However, whilst doing this, it would be nice to rationalise the log file locations as mentioned in Bug #494037, which would mean tweaking things in a few places.
Comment 1 Fedora Update System 2009-12-04 12:00:29 EST
bacula-3.0.3-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/bacula-3.0.3-4.fc12
Comment 2 Fedora Update System 2009-12-07 02:23:33 EST
bacula-3.0.3-4.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bacula'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12752
Comment 3 Fedora Update System 2009-12-08 10:03:53 EST
bacula-3.0.3-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/bacula-3.0.3-5.fc12
Comment 4 Fedora Update System 2009-12-09 23:22:13 EST
bacula-3.0.3-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bacula'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12997
Comment 5 Fedora Update System 2009-12-17 23:18:30 EST
bacula-3.0.3-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.